# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::DrawRangeElementsUShort Class Reference

See DrawRangeElements. More...

`#include <DrawRangeElements.hpp>`

Inheritance diagram for vl::DrawRangeElementsUShort:

List of all members.

## Public Member Functions

| DrawRangeElementsUShort (EPrimitiveType primitive=PT_TRIANGLES, int r_start=0, int r_end=GLushort(~0))

## Detailed Description

See DrawRangeElements.

A DrawRangeElements using indices of type `GLushort`.

Definition at line 318 of file DrawRangeElements.hpp.

## Constructor & Destructor Documentation

vl::DrawRangeElementsUShort::DrawRangeElementsUShort | ( | EPrimitiveType | primitive = `PT_TRIANGLES`,
|  | int | r_start = `0`,
|  | int | r_end = `GLushort(~0)`
| ) |  | `[inline]`

Definition at line 321 of file DrawRangeElements.hpp.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/DrawRangeElements.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:39.
Permission is granted to use this page to write and publish articles regarding Visualization Library.